<?php

/**
 * @file
 * Module admin pages.
 */

/**
 * Module settings form.
 */
function commerce_buy_one_click_settings_form() {
  $form['commerce_buy_one_click_email_template'] = array(
    '#title' => t('Buy one click admin email template'),
    '#type' => 'fieldset',
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );
  $form['commerce_buy_one_click_email_template']['commerce_buy_one_click_admin_email_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Title'),
    '#default_value' => variable_get('commerce_buy_one_click_admin_email_title', '[site:name]. Buy with 1-Click order [commerce-order:order-number].'),
  );
  $form['commerce_buy_one_click_email_template']['commerce_buy_one_click_admin_email_body'] = array(
    '#type' => 'textarea',
    '#title' => t('Body'),
    '#rows' => 7,
    '#default_value' => variable_get('commerce_buy_one_click_admin_email_body', _commerce_buy_one_click_settings_get_default_admin_email_body()),
  );
  $form['commerce_buy_one_click_email_template']['commerce_buy_one_click_admin_email_address'] = array(
    '#type' => 'textfield',
    '#title' => t('Admin email addresses'),
    '#default_value' => variable_get('commerce_buy_one_click_admin_email_address', ''),
    '#maxlength' => 1024,
  );
  $form['commerce_buy_one_click_button_show'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show "Buy now with 1-Click" button on commerce product page'),
    '#default_value' => variable_get('commerce_buy_one_click_button_show', TRUE),
  );
  $form['commerce_buy_one_click_name_show'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show name field on popup'),
    '#default_value' => variable_get('commerce_buy_one_click_name_show', TRUE),
  );
  $form['commerce_buy_one_click_email_show'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show email field on popup'),
    '#default_value' => variable_get('commerce_buy_one_click_email_show', TRUE),
  );
  $form['commerce_buy_one_click_email_required'] = array(
    '#type' => 'checkbox',
    '#title' => t('Email field is required'),
    '#default_value' => variable_get('commerce_buy_one_click_email_required', TRUE),
  );
  return system_settings_form($form);
}
